@charset "UTF-8";
:root {
  color-scheme: only dark;
}

html,
body {
  margin: 0;
  padding: 0;
}

body {
  font-size: 13pt;
  line-height: 1.1em;
}

@font-face {
  font-family: Inconsolata;
  src: url("https://nonk.dev/assets/Inconsolata.ttf") format("truetype");
}
* {
  font-family: Inconsolata, Consolas, monospace;
  box-sizing: border-box;
}

a {
  text-decoration: none;
}

a:hover {
  text-decoration: underline;
  text-decoration-color: #12b012;
}
a:hover:visited {
  text-decoration-color: #1f7f1f;
}

#me:hover {
  text-decoration-color: #f7f7f7;
}

p:has(> img:only-child) {
  margin: 0 auto;
  max-width: 80%;
}

p > img:only-child {
  width: 100%;
  image-rendering: auto;
}

p {
  text-align: justify;
}

p.center {
  text-align: center;
}

div.center {
  margin: auto;
  text-align: center;
}

h1 {
  font-size: 1.5rem;
  font-weight: bold;
}

h1::before {
  content: "§ ";
}

code {
  background: #080808;
}

code.block {
  display: block;
  margin: 0 2ch;
  padding: 1ex 1ch;
  border-radius: 4px;
}

ul {
  padding: 0;
  list-style-type: none;
}

ul.nodash > li {
  margin-left: 2ch;
}

ul:not(.nodash) > li {
  margin-left: 4ch;
  text-indent: -2ch;
}
ul:not(.nodash) > li::before {
  content: "- ";
}

h1,
h2,
ul,
p {
  margin-block: 0 1rem;
}

a:not(:has(> img)) {
  line-height: 24px;
}
a:not(:has(> img)), a:not(:has(> img)):visited {
  color: #12b012;
  text-decoration: #12b012 underline;
}
a:not(:has(> img)):hover, a:not(:has(> img)):hover:visited {
  color: #f7f7f7;
  text-decoration: #f7f7f7 underline;
}
a:not(:has(> img)).strong {
  font-size: 1.2em;
  font-weight: bolder;
  line-height: 28px;
}

strong {
  color: #f7f7f7;
}

.icon.invert {
  filter: invert(1);
}

hr {
  width: 100%;
  border: none;
  border-top: 1px dashed #f7f7f7;
  margin-block: 1em 1ex;
}

.w100 {
  width: 100%;
}

textarea {
  max-width: 100%;
  min-height: 5em;
}

.row,
.col {
  display: flex;
  flex-wrap: nowrap;
}

.row {
  flex-direction: row;
}

.col {
  flex-direction: column;
}

.wrap {
  flex-wrap: wrap;
}

.sp-between {
  justify-content: space-between;
}

.sp-evenly {
  justify-content: space-evenly;
}

.al-start {
  align-items: start;
}

.al-center {
  align-items: center;
}

.al-end {
  align-items: end;
}

img.banner {
  width: 88px;
  height: 31px;
  transition: transform 0.3s ease;
}
img.banner:hover {
  transform: scale(1.1);
}

:root {
  background: #141414;
  overflow-y: scroll;
}

body {
  color: #f7f7f7;
  image-rendering: pixelated;
  width: 100%;
  min-height: 100vh;
  padding: 16px 0;
  gap: 16px 0;
  display: flex;
  flex-flow: column nowrap;
}

body > code {
  display: none;
}

header,
main {
  width: min(700px, 100%);
  margin: 0 auto;
}

footer {
  padding: 0 18px;
}

main {
  flex-grow: 1;
  gap: 16px 18px;
  align-content: start;
}

#sidebar {
  position: fixed;
  left: 0;
  top: 0;
  width: 220px;
  padding: 16px 18px;
  max-height: 100vh;
  overflow-y: auto;
}

#logo {
  display: block;
  aspect-ratio: 1;
  margin: 0 auto;
}

@media (max-width: 1194px) {
  body {
    padding: 16px 18px;
    gap: 16px 18px;
  }
  footer {
    margin: 0;
    padding: 0;
  }
  #logo {
    max-height: 128px;
  }
  #sidebar {
    position: static;
    max-height: none;
    width: min(700px, 100%);
    padding: 0;
    margin: 0 auto;
  }
  #sidebar hr {
    display: none;
  }
  #sidebar {
    gap: 16px 18px;
    column-width: 220px;
    column-fill: balance;
  }
  #sidebar > * {
    break-inside: avoid;
  }
}
:where(header, footer) {
  padding: 16px 0;
}

#header-links {
  gap: 1ex 1ch;
}

#me {
  text-decoration: none;
  font-weight: bold;
}
#me, #me:visited {
  color: #f7f7f7;
}

#chattable,
#toggle-chat {
  border: 1px solid #393939;
  background: #141414;
}

#chattable {
  width: 300px;
  height: 700px;
  padding: 0;
  position: absolute;
  right: 0;
  top: 80px;
  visibility: hidden;
}

body.show-chattable #chattable {
  visibility: visible;
}

#toggle-chat {
  cursor: pointer;
  padding: 8px;
  position: fixed;
  right: 8px;
  top: 8px;
}

#statuscafe {
  padding: 0.5em;
}
#statuscafe-username {
  margin-bottom: 0.5em;
}
#statuscafe-content {
  margin: 0 1em 0.5em 1em;
}

#webrings > * {
  display: block;
  margin: 0 auto;
}

#badges {
  gap: 1ex 1ch;
}
